Ruby 2.0.0p247(2013-06-27revision41674)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
RObject Struct Reference

`#include <ruby.h>`

## Data Fields
struct RBasic | basic
union {
struct {
long numiv
VALUE * ivptr
struct st_table * iv_index_tbl
} heap
VALUE ary [ROBJECT_EMBED_LEN_MAX]
} | as
union {
struct {
long numiv
VALUE * ivptr
struct st_table * iv_index_tbl
} heap
VALUE ary [ROBJECT_EMBED_LEN_MAX]
} | as

## Detailed Description

Definition at line 709 of file ripper.y.

## Field Documentation

VALUE RObject::ary[ROBJECT_EMBED_LEN_MAX]

Definition at line 717 of file ripper.y.

union { ... } RObject::as

union { ... } RObject::as

struct RBasic RObject::basic

Definition at line 710 of file ripper.y.

struct { ... } RObject::heap

struct { ... } RObject::heap

struct st_table* RObject::iv_index_tbl

Definition at line 715 of file ripper.y.

VALUE* RObject::ivptr

Definition at line 714 of file ripper.y.

long RObject::numiv

Definition at line 713 of file ripper.y.

The documentation for this struct was generated from the following file:

- include/ruby/ruby.h